%esercizio 3b, polinomi di Chebyshev
%Scrivere una function cheby(K) che prenda in ingresso un intero positivo K 
% e disegni il grafico dei primi K polinomi di Chebyshev sull intervallo [−1, 1].

function cheby(K)
% I polinomi di Chebyshev di prima specie sono definiti in modo ricorsivo come
    P1 = [1];
    P2 = [1 0];
    
    %intervallo [-1,1]
    t = linspace(-1,1,1000);
    hold on
    plot(t,polyval(P1,t))
    hold on
    plot(t,polyval(P2,t))
%Abbiamo già definito P1 e P2 , definiamo ora ricorsivamente i polinomi di Chebyshev per i>2 
    for i = 3:K
        P3 = 2*[P2 0] - [0 0 P1];
        P1 = P2;
        P2 = P3;
        hold on
        plot(t, polyval(P3,t))
    end
end