%esercizio 3a, polinomi di Legendre
%Scrivere una function legendre(K) che prenda in ingresso un intero positivo K
%e disegni il grafico dei primi K polinomi di Legendre sull intervallo[−1,1].

function legendre(K)
%I polinomi di Legendre sono definiti in modo ricorsivo nel modo seguente
% passi base, definiamo P1 e P2
    P1 = [1];
    P2 = [1 0];
    
%intervallo [-1,1]
    t = linspace(-1,1,1000);
    plot(t,polyval(P1,t))
    plot(t,polyval(P2,t))
    
% Abbiamo già definito P1 e P2 , definiamo ora ricorsivamente i polinomi di Legendre per i>2 
    for i=3:K
        P3=((2*i-1)*[P2 0]-(i-1)*[0 0 P1])/i;
        P1 = P2;
        P2 = P3;
        plot(t, polyval(P3,t))
    end
end